MozillaFirefox/mozilla.sh.in
branchfirefox14
changeset 465 c49024069c9d
parent 392 3992082d6d62
child 498 7e0bc5671298
equal deleted inserted replaced
464:1fd4a257e727 465:c49024069c9d
   131 if [ $moz_debug -eq 1 ]; then
   131 if [ $moz_debug -eq 1 ]; then
   132   tmpfile=`mktemp /tmp/mozargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
   132   tmpfile=`mktemp /tmp/mozargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
   133   trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
   133   trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
   134   echo -e "set args ${1+"$@"}\nrun" > $tmpfile
   134   echo -e "set args ${1+"$@"}\nrun" > $tmpfile
   135   echo "$moz_debugger $MOZ_PROGRAM -x $tmpfile"
   135   echo "$moz_debugger $MOZ_PROGRAM -x $tmpfile"
   136   $moz_debugger "$MOZ_PROGRAM" -x $tmpfile
   136   exec $moz_debugger "$MOZ_PROGRAM" -x $tmpfile
   137 else
   137 else
   138   $MOZ_PROGRAM "$@"
   138   exec $MOZ_PROGRAM "$@"
   139 fi
   139 fi
   140 exitcode=$?
       
   141 
       
   142 exit $exitcode